import ajax from '../../util/ajax'
import api from '../../util/api'

export default {
  namespaced: true,
  state: {
    goods: [],
  },
  mutations: {
    updateGoods (state, payload) {
      state.goods = payload || []
    },
  },
  actions: {
    GetGoods ({ commit }, payload) {
      return new Promise((resolve, reject) => {
        ajax(api.statistics.goods.url, {
          method: api.statistics.goods.method,
          queryData: {
            ...payload,
          }
        }).then(res => {
          commit('updateGoods', res)
          resolve(res)
        }).catch(reject)
      })
    },
  }
}
